Foxit PDF Conversion SDK

Public Member Functions | List of all members
PDFConversionSDK.Range Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (index)
| Constructor, with a single index. More...
| constructor (start_index, end_index, filter)
| Constructor, with a specified index range. More...
AddSingle(index) | GetSegmentCount ()
| Add an index as a new range segment. More...
| GetSegmentEnd (index)
| Get the end index of a specified range segment. More...
| GetSegmentStart (index)
| Get the start index of a specified range segment. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveAll ()
| Remove all range segments. More...

## Detailed Description

This class represents index range. Here, a range consists of one or more segments and each segment consists of one single index or a group of consecutive indexes.
For some special case, such as used in PDFConversionSDK.PDF2OfficeSettingData, index values specified in this range represent page numbers directly instead of page indexes.

See also
  PDFConversionSDK.PDF2OfficeSettingData

## Member Function Documentation

## ◆ constructor() [1/2]

PDFConversionSDK.Range.constructor | ( | index |  | ) |

Constructor, with a single index.

Parameters

  [in] | index | A single index.

## ◆ constructor() [2/2]

PDFConversionSDK.Range.constructor | ( | start_index | ,
|  | end_index | ,
|  | filter |
| ) |  |

Constructor, with a specified index range.

Parameters

  [in] | start_index | The start index of a range segment.
  [in] | end_index | The end index of a range segment.
  [in] | filter | Filter type to decide which indexes of this range would be used. Please refer to values starting from PDFConversionSDK.Filter.e_All and this should be one of these values. Default value: PDFConversionSDK.Filter.e_All. Specially, when this value is PDFConversionSDK.Filter.e_Even or PDFConversionSDK.Filter.e_Odd, that means each even or odd number within the specified range segment will be treated as a single segment.

## ◆ GetSegmentCount()

AddSingle (index) PDFConversionSDK.Range.GetSegmentCount | ( |  | ) |

Add an index as a new range segment.

Parameters

  [in] | index | An index to be added as a new range segment.

Add a new range segment. (Reverse ordering is legal.)

Parameters

  [in] | start_index | The start index of a new range segment.
  [in] | end_index | The end index of a new range segment.
  [in] | filter | Filter type to decide which indexes of this range would be used. Please refer to values starting from PDFConversionSDK.Filter.e_All and this should be one of these values. Default value: PDFConversionSDK.Filter.e_All. Specially, when this value is PDFConversionSDK.Filter.e_Even or PDFConversionSDK.Filter.e_Odd, that means each even or odd number within the specified range segment will be treated as a single segment.

Returns
  None.

Get the count of range segments.

Returns
  The count of range segments.

## ◆ GetSegmentEnd()

PDFConversionSDK.Range.GetSegmentEnd | ( | index |  | ) |

Get the end index of a specified range segment.

Parameters

  [in] | segment_index | The segment index. Valid range: 0 to (count-1). count is returned by function PDFConversionSDK.Range.GetSegmentCount.

Returns
  The end index of a specified range segment.

## ◆ GetSegmentStart()

PDFConversionSDK.Range.GetSegmentStart | ( | index |  | ) |

Get the start index of a specified range segment.

Parameters

  [in] | segment_index | The segment index. Valid range: 0 to (count-1). count is returned by function PDFConversionSDK.Range.GetSegmentCount.

Returns
  The start index of a specified range segment.

## ◆ IsEmpty()

PDFConversionSDK.Range.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ RemoveAll()

PDFConversionSDK.Range.RemoveAll | ( |  | ) |

Remove all range segments.

Returns
  None.